Bug 950922 - Upgrade instructions for 0.12 may lead to a long outage
Summary: Upgrade instructions for 0.12 may lead to a long outage
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Beaker
Classification: Community
Component: Doc
Version: 0.12
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified vote
Target Milestone: HOTFIX
Assignee: Dan Callaghan
QA Contact:
URL:
Whiteboard: Doc
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-04-11 08:08 UTC by Nick Coghlan
Modified: 2018-02-06 00:41 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-04-23 05:04:01 UTC


Attachments (Terms of Use)

Description Nick Coghlan 2013-04-11 08:08:40 UTC
The 0.12 upgrade instructions say to mark all existing jobs as requiring a status update (see [1]), and that the only consequence is a slightly higher than normal load on the system until the backlog of status updates is cleared.

It turns out this is incorrect. Instead, due to the way the status update system interacts with the rest of the scheduler, it results in a near total outage of the automated job scheduling:

1. Any currently running jobs will not return their systems to the pool until the backlog is cleared
2. New jobs will not be scheduled until the backlog is cleared

The upgrade instructions should be updated to:

1. Clearly state that the Beaker installation will be in outage until the update is complete
2. Describe an alternative upgrade approach for use with large Beaker installations which allows previously executed jobs to be checked for status discrepancies *without* requiring an extended system outage

[1] http://beaker-project.org/docs/whats-new/upgrade-0.12.html#asynchronous-job-status-updates-bug-807237

Comment 1 Dan Callaghan 2013-04-17 06:09:14 UTC
On Gerrit: http://gerrit.beaker-project.org/1891

Comment 2 Dan Callaghan 2013-04-22 23:13:07 UTC
Updated release notes are available here:

http://beaker-project.org/docs-develop/whats-new/upgrade-0.12.html#asynchronous-job-status-updates-bug-807237

Comment 3 Dan Callaghan 2013-04-23 05:04:01 UTC
Beaker 0.12.1 has been released.


Note You need to log in before you can comment on or make changes to this bug.